<?php
	if(! defined('BASEPATH') ){ exit('Unable to view file.'); }

	$page = (isset($_GET['p']) ? $_GET['p'] : 0);
	$limit = 20;
	$start = (is_numeric($page) && $page > 0 ? ($page-1)*$limit : 0);

	$total_pages = $db->QueryGetNumRows("SELECT id FROM `completed_offers`");
	include('../system/libs/apaginate.php');
?>
<section id="content" class="container_12 clearfix">
	<h1 class="grid_12">Completed Offers (<?=number_format($total_pages)?>)</h1>
	<div class="grid_12">
		<div class="box">
			<table class="styled">
				<thead>
					<tr>
						<th width="25">#</th>
						<th>User ID</th>
						<th>Offer ID</th>
						<th>User Country</th>
						<th>User IP</th>
						<th>Revenue</th>
						<th>Coins</th>
						<th>Offer Wall</th>
						<th>Date</th>
					</tr>
				</thead>
				<tbody>
				<?php
					$trans = $db->QueryFetchArrayAll("SELECT * FROM `completed_offers` ORDER BY `timestamp` DESC LIMIT ".$start.",".$limit."");
					
					if(!count($trans))
					{
						echo '<tr><td colspan="8"><center>There is no completed offer yet!</center></td></tr>';
					}

					foreach($trans as $tra){
				?>	
					<tr>
						<td><?=$tra['id']?></td>
						<td><?=('<a href="index.php?x=users&edit='.$tra['user_id'].'">'.$tra['user_id'].'</a>')?></td>
						<td><?=(empty($tra['survey_id']) ? 'Unknown' : $tra['survey_id'])?></td>
						<td><?=$tra['user_country']?></td>
						<td><?=(empty($tra['user_ip']) ? 'Unknown' : '<a href="index.php?x=users&s_type=2&su='.$tra['user_ip'].'">'.long2ip($tra['user_ip']).'</a>')?></td>
						<td><?=(empty($tra['revenue']) ? 'Unknown' : get_currency_symbol($config['currency_code']).$tra['revenue'])?></td>
						<td><?=number_format($tra['coins'], 2)?> coins</td>
						<td><?=ucfirst($tra['method'])?></td>
						<td><?=date('d M Y - H:i', $tra['timestamp'])?></td>
					</tr>
				<?php } ?>
				</tbody>
			</table>
			<?php if($total_pages > $limit){ ?>
			<div class="dataTables_wrapper">
				<div class="footer">
					<div class="dataTables_paginate paging_full_numbers">
						<a class="first paginate_button" href="<?=GetHref('p=1')?>">First</a>
						<?=(($page <= 1 || $page == '') ? '<a class="previous paginate_button paginate_button_disabled">&laquo;</a>' : '<a class="previous paginate_button" href="'.GetHref('p='.($page-1)).'">&laquo;</a>')?>
						<span><?=$pagination?></span>
						<?=(($page >= $lastpage) ? '<a class="next paginate_button paginate_button_disabled">&raquo;</a>' : '<a class="next paginate_button" href="'.GetHref('p='.($page == 0 ? 2 : $page+1)).'">&raquo;</a>')?>
						<a class="last paginate_button" href="<?=GetHref('p='.$lastpage)?>">Last</a>
					</div>
				</div>
			</div>
			<?php } ?>
		</div>
	</div>
</section>