var canvasId         = "wheel_of_luck";
var wheelImageName   = "static/js/spin/prizewheel.png";
var theSpeed         = 20;
var pointerAngle     = 0;
var doPrizeDetection = true;
var determinedGetUrl = "system/spin_prize.php";

var surface;
var wheel;
var angle 		 = 0;
var targetAngle  = 0;
var currentAngle = 0;
var power        = 1;

var xhr = new XMLHttpRequest();
xhr.onreadystatechange = ajaxCallback;
var randomLastThreshold = 150;
var spinTimer;

function begin() 
{
	surface = document.getElementById(canvasId);

	if (surface.getContext) 
	{
		wheel = new Image();
		wheel.onload = initialDraw;
		wheel.src = wheelImageName;
		wheel.className = "img-fluid";
	}
}

function initialDraw(e)
{
	var surfaceContext = surface.getContext('2d');
	surfaceContext.drawImage(wheel, 0, 0);
}

function startSpin(determinedValue)
{
	var stopAngle = undefined;
	$('#spin_button').addClass("disabled");
	$('#spin_button').html('<center><i class="fa fa-refresh fa-spin fa-2x fa-fw"></i></center');
	
	if (typeof(determinedValue) === 'undefined')
	{
		if (determinedGetUrl)
		{
			xhr.open('GET', determinedGetUrl, true);
			xhr.send('');
		}
	}
	else
	{
		stopAngle = Math.floor(prizes[determinedValue]['startAngle'] + (Math.random() * (prizes[determinedValue]['endAngle'] - prizes[determinedValue]['startAngle'])));
	}

	if ((typeof(stopAngle) !== 'undefined') && (power))
	{
		stopAngle = (360 + pointerAngle) - stopAngle;
		targetAngle = (360 * (power * 6) + stopAngle);
		randomLastThreshold = Math.floor(90 + (Math.random() * 90));

		doSpin();
	}
}

function ajaxCallback()
{
	if (xhr.readyState < 4)
	{
		return;
	}

	if (xhr.status !== 200)
	{
		return;
	}

	startSpin(xhr.responseText);
}

function doSpin() 
{
	var surfaceContext = surface.getContext('2d');
	surfaceContext.save();
	surfaceContext.translate(wheel.width * 0.5, wheel.height * 0.5);
	surfaceContext.rotate(DegToRad(currentAngle));
	surfaceContext.translate(-wheel.width * 0.5, -wheel.height * 0.5);
	surfaceContext.drawImage(wheel, 0, 0);
	surfaceContext.restore();
	currentAngle += angle;

	if (currentAngle < targetAngle)
	{
		var angleRemaining = (targetAngle - currentAngle);

		if (angleRemaining > 6480)
			angle = 55;
		else if (angleRemaining > 5000)
			angle = 45;
		else if (angleRemaining > 4000)
			angle = 30;
		else if (angleRemaining > 2500)
			angle = 25;
		else if (angleRemaining > 1800)
			angle = 15;
		else if (angleRemaining > 900)
			angle = 11.25;
		else if (angleRemaining > 400)
			angle = 7.5;
		else if (angleRemaining > 220)
			angle = 3.80;
		else if (angleRemaining > randomLastThreshold)
			angle = 1.90;
		else
			angle = 1;

		spinTimer = setTimeout("doSpin()", theSpeed);
	}
	else
	{
		if ((doPrizeDetection) && (prizes))
		{
			var times360 = Math.floor(currentAngle / 360);
			var rawAngle = (currentAngle - (360 * times360));
			var relativeAngle =  Math.floor(pointerAngle - rawAngle);
			
			if (relativeAngle < 0)
				relativeAngle = 360 - Math.abs(relativeAngle);
					
			for (x = 0; x < (prizes.length); x ++)
			{
				if ((relativeAngle >= prizes[x]['startAngle']) && (relativeAngle <= prizes[x]['endAngle']))
				{
					if (x != 0 && x != 7) 
					{
						$('#spin').html('<div class="alert alert-success" role="alert">'+prizes[x]['name']+'</div>');
					}
					else
					{
						$('#spin').html('<div class="alert alert-danger" role="alert">'+prizes[x]['name']+'</div>');
					}
					break;
				}
			}
		}
	}
}

function DegToRad(d) 
{
	return d * 0.0174532925199432957;
}