<?php
	if(! defined('BASEPATH') ){ exit('Unable to view file.'); }
	
	$countries = $db->QueryFetchArrayAll("SELECT * FROM `list_countries` ORDER BY country");
	
	$errMessage = '';
	if(isset($_POST['submit'])){
		$url = $db->EscapeString($_POST['url']);
		$title = $db->EscapeString(truncate($_POST['title'], 60), 1);
		$ad_pack = $db->EscapeString(isset($_POST['ad_pack']) ? $_POST['ad_pack'] : 0);
		$ad_visits = $db->EscapeString(isset($_POST['ad_visits']) ? $_POST['ad_visits'] : 0);
		$noref = ($_POST['hide_ref'] > 1 ? 1 : ($_POST['hide_ref'] < 0 ? 0 : $_POST['hide_ref']));
		$gender = $db->EscapeString($_POST['gender'] > 2 ? 2 : ($_POST['gender'] < 0 ? 0 : $_POST['gender']));
		$gateway = $db->EscapeString($_POST['gateway']);

		$pay_valid = false;
		if($gateway == 'paypal' && $config['paypal_status'] > 0){
			$pay_valid = true;
		}elseif($gateway == 'bank' && $config['bank_status'] > 0){
			$pay_valid = true;
		}
		
		$daily_clicks = 0;
		if($_POST['daily_clicks_switch'] == 1)
		{
			$daily_clicks = $db->EscapeString($_POST['daily_clicks']);
			$daily_clicks = (is_numeric($daily_clicks) && $daily_clicks > 0 ? number_format($daily_clicks) : 0);
		}

		$ctr = $db->EscapeString($_POST['country']);
		$sCountries = ($ctr == 0 ? 0 : $_POST['countries']);

		$ctrs = array();
		foreach($countries as $row) {
			$ctrs[] = $row['id'];
		}

		$country = '';
		if(!empty($sCountries)){
			foreach ($sCountries as $a=>$value) 
			{
				if(in_array($value, $ctrs)) {
					$country .= $value.',';
				}
			}
		}
		$country = (empty($country) ? 0 : $country);
		
		$ad_pack = $db->QueryFetchArray("SELECT * FROM `ads_packs` WHERE `id`='".$ad_pack."' LIMIT 1");
		$price = number_format($ad_visits * $ad_pack['price'], 2);

		if(empty($ad_pack['id']))
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_130'].'</div>';
		}
		elseif(!$pay_valid)
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_131'].'</div>';
		}
		elseif(empty($title) || empty($url))
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_132'].'</div>';
		}
		elseif($price < $config['advertise_min'])
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.lang_rep($lang['b_134'], array('-MIN-' => get_currency_symbol($config['currency_code']).$config['advertise_min'])).'</div>';
		}
		elseif($gender < 0 || $gender > 2)
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_135'].'</div>';
		}
		elseif(empty($country) && $ctr != '0')
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_136'].'</div>';
		}
		elseif(!preg_match('/^(http|https):\/\/[a-z0-9_]+([\-\.]{1}[a-z_0-9]+)*\.[_a-z]{2,5}'.'((:[0-9]{1,5})?\/.*)?$/i', $url))
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_205'].'</div>';
		}
		elseif(substr($url,-4) == '.exe')
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_206'].'</div>';
		
		}
		else
		{
			$reference_number = GenerateKey(12);
			$reference_number = strtoupper($reference_number);
			$db->Query("INSERT INTO `ads_temporary` (`user_id`,`url`,`title`,`daily_clicks`,`status`,`ad_pack`,`clicks`,`country`,`gender`,`noref`,`time`,`gateway`,`reference_number`) VALUES('".$data['id']."', '".$url."', '".$title."', '".$daily_clicks."', '0', '".$ad_pack['id']."', '".$ad_visits."', '".$country."', '".$gender."', '".$noref."', '".time()."', '".$gateway."', '".$reference_number."') ");
			$tid = $db->GetLastInsertId();
			
			$pay_url = '<meta http-equiv="refresh" content="2; URL='.$config['site_url'].'/system/payments/'.$gateway.'/go_'.$gateway.'.php?t=ads&tid='.$tid.'&ref_no='.$reference_number.'" />';
			$errMessage = '<div class="alert alert-success" role="alert">'.$lang['b_207'].'</div>'.$pay_url;
		}
	}
?>
	<main role="main" class="container">
      <div class="row">
		<?php 
			require_once(BASE_PATH.'/template/'.$config['theme'].'/common/sidebar.php');
		?>
		<div class="col-md-9 col-sm-7 col-xs-7">
			<div class="my-3 ml-2 p-3 bg-white rounded box-shadow box-style">
			  <div id="grey-box">
				<div class="title">
					<?=(isset($_GET['x']) && $_GET['x'] == 'myads' ? $lang['b_209'] : $lang['b_208'])?>
				</div>
				<div class="content">
					<?php 
						echo $errMessage;

						if(isset($_GET['x']) && $_GET['x'] == 'myads')
						{
					?>
					<table class="table table-striped table-sm table-responsive-sm">
						<thead class="thead-dark">
							<tr>
								<th class="text-center" colspan="5"><?php echo $lang['b_210']; ?></th>
							</tr>
						</thead>
						<thead class="thead-dark">
							<tr>
								<th><?php echo $lang['b_211']; ?></th>
								<th><?php echo $lang['b_212']; ?></th>
								<th><?php echo $lang['b_213']; ?></th>
								<th><?php echo $lang['b_214']; ?></th>
								<th><?php echo $lang['b_146']; ?></th>
							</tr>
						</thead>
						<tbody class="table-primary text-dark">
							<?php
								$websites = $db->QueryFetchArrayAll("SELECT a.*, b.name, b.time FROM ads_sites a LEFT JOIN ads_packs b ON b.id = a.ad_pack WHERE a.user_id = '".$data['id']."'");
								
								if(count($websites) == 0)
								{
									echo '<td colspan="7"><center>'.$lang['b_215'].'</center></td>';
								}
								else
								{
									foreach($websites as $website) 
									{
										echo '<tr><td><a href="'.$website['url'].'" target="_blank">'.$website['title'].'</a></td><td>'.number_format($website['clicks']).' x '.$website['time'].' sec</td><td>'.number_format($website['visits']).'</td><td>'.number_format($website['today_clicks']).' / '.($website['daily_clicks'] == 0 ? '&#8734;' : $website['daily_clicks']).'</td><td>'.($website['status'] == 0 ? '<font color="green">'.$lang['b_148'].'</font>' : ($website['status'] == 1 ? '<font color="green">'.$lang['b_149'].'</font>' : '<font color="red">'.$lang['b_150'].'</font>')).'</td></tr>';
									}
								}
							?>
						</tbody>
					</table>
					<table class="table table-striped table-sm table-responsive-sm mt-2">
						<thead class="thead-dark">
							<tr>
								<th class="text-center" colspan="4"><?php echo $lang['b_216']; ?></th>
							</tr>
						</thead>
						<thead class="thead-dark">
							<tr>
								<th><?php echo $lang['b_211']; ?></th>
								<th><?php echo $lang['b_217']; ?></th>
								<th><?php echo $lang['b_153']; ?></th>
								<th><?php echo $lang['b_154']; ?></th>
							</tr>
						</thead>
						<tbody class="table-primary text-dark">
							<?php
								$websites = $db->QueryFetchArrayAll("SELECT a.*, b.name, b.time, b.price FROM ads_temporary a LEFT JOIN ads_packs b ON b.id = a.ad_pack WHERE a.user_id = '".$data['id']."' AND a.status = '0'");
								
								if(count($websites) == 0)
								{
									echo '<td colspan="7"><center>'.$lang['b_218'].'</center></td>';
								}
								else
								{
									foreach($websites as $website) 
									{
										echo '<tr><td><a href="'.$website['url'].'" target="_blank">'.$website['title'].'</a></td><td>'.number_format($website['clicks']).' x '.$website['time'].' '.$lang['b_156'].'</td><td>'.($website['daily_clicks'] == 0 ? '&#8734;' : number_format($website['daily_clicks'])).'</td><td><span class="btn btn-success btn-sm" onclick="pay(\''.number_format($website['clicks'] * $website['price'], 2).'\', \''.$website['id'].'\')">'.$lang['b_157'].'</span></td></tr>';
									}
								}
							?>
						</tbody>
					</table>
					<div id="price_block"></div>
					<div class="alert alert-info" role="alert">If you already paid for your Website Ad, but is still pending after few minutes, please contact us!</div>
					<script type="text/javascript">
						function pay(price, id){
							if(price > 0 && id > 0){
								$('#price_block').html('<div class="price_block"><span class="text"><?php echo lang_rep($lang['b_219'], array('-SYMBOL-' => get_currency_symbol($config['currency_code']))); ?></span> <form class="pay_block" onsubmit="go_pay('+ id +'); return false"><select name="gateway" id="gateway"><?php echo ($config['paypal_status'] > 0 ? '<option value="paypal">Paypal</option>' : '').($config['bank_status'] > 0 ? '<option value="bank">'.$lang['b_159'].'</option>' : ''); ?></select> <input type="submit" name="submit" class="btn btn-success btn-sm" value="<?php echo $lang['b_158']; ?>" /></form><div style="clear:both"></div></div>');
							}
						}
						
						function go_pay(id) {
							var gateway = $('#gateway').val();
							location.href = '<?php echo $config['site_url']; ?>/system/payments/'+gateway+'/go_'+gateway+'.php?t=ads&tid='+id;
						}
					</script>
				<?php
					} else {
				?>
					<form method="post">
						<div class="form-row">
							<div class="form-group col-md-6">
							  <label for="url"><?=$lang['b_220']?></label>
							  <input type="text" class="form-control" name="url" id="url" value="<?php echo (isset($_POST['url']) ? $db->EscapeString($_POST['url']) : ''); ?>" placeholder="http://" />
							</div>
							<div class="form-group col-md-6">
							  <label for="title"><?=$lang['b_221']?></label>
							  <input type="text" class="form-control" name="title" id="title" value="<?php echo (isset($_POST['title']) ? $db->EscapeString($_POST['title']) : ''); ?>" maxlength="50" placeholder="<?php echo $lang['b_221']; ?>" />
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
							  <label for="ad_pack"><?=$lang['b_164']?></label>
							  <select name="ad_pack" class="custom-select" id="ad_pack" onchange="get_price(this.value)">
									<?php
										$ad_packs = $db->QueryFetchArrayAll("SELECT * FROM `ads_packs` ORDER BY `price` ASC");
										
										foreach($ad_packs as $pack)
										{
											echo '<option value="'.$pack['id'].'">'.$pack['name'].' ('.$pack['time'].' '.$lang['b_156'].')</option>';
										}
									?>
								</select>
							</div>
							<div class="form-group col-md-6">
							  <label for="ad_visits"><?=$lang['b_217']?></label>
							  <input type="text" class="form-control" name="ad_visits" id="ad_visits" maxlength="30" placeholder="1000" onchange="get_price(this.value)" />
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
							  <label for="hide_ref"><?=$lang['b_222']?></label>
							  <select name="hide_ref" id="hide_ref" class="custom-select">
								<option value="0"><?php echo $lang['b_86']; ?></option>
								<option value="1" selected><?php echo $lang['b_85']; ?></option>
							  </select>
							</div>
							<div class="form-group col-md-4">
							  <label for="daily_clicks"><?=$lang['b_223']?></label>
							  <input type="text" name="daily_clicks" id="daily_clicks" class="form-control" disabled />
							</div>
							<div class="form-group col-md-2">
							  <label for="daily_clicks_switch">&nbsp;</label>
							  <select name="daily_clicks_switch" id="dailyLimitSelect" class="custom-select">
								<option value="0"><?php echo $lang['b_150']; ?></option>
								<option value="1"><?php echo $lang['b_166']; ?></option>
							  </select>
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
							  <label for="gender"><?=$lang['b_167']?></label>
							  <select name="gender" class="form-control">
								<option value="0"><?=$lang['b_168']?></option>
								<option value="1"><?=$lang['b_169']?></option>
								<option value="2"><?=$lang['b_170']?></option>
							  </select>
								<?=$lang['b_171']?>
							  <select name="country" class="form-control" id="select-countries">
								<option value="0"><?=$lang['b_172']?></option>
								<option value="1"><?=$lang['b_173']?></option>
							  </select>
							   <div id="target-select" class="mt-2" style="display:none;">
								<select id="choseCountries" class="form-control" data-placeholder="<?php echo $lang['b_174']; ?>" name="countries[]" multiple>
									<?php
										$sc = array();
										if(isset($country) && $country != '0'){
											$sCountries = explode(',', $country);
											foreach($sCountries as $c){
												$sc[] = $c;
											}
										}
										
										foreach($countries as $country){
											echo '<option value="'.$country['id'].'"'.(in_array($country['id'],$sc) ? ' selected' : '').'>'.$country['country'].'</option>';
										}
									?>
								</select>
							 </div>
							</div>
						</div>
						<div id="price_block"></div>
					</form>
					<script type="text/javascript"> 
						function get_price(){
							var clicks = $('#ad_visits').val();
							var pack = $('#ad_pack').val();
							if(pack > 0 && clicks > 0){
								$.get("system/ajax.php?a=getAdPackPrice",{
									ad_pack:pack,
									visits:clicks
								},function(price){
									$('#price_block').html('<div class="price_block"><span class="text"><?php echo lang_rep($lang['b_219'], array('-SYMBOL-' => get_currency_symbol($config['currency_code']))); ?></span> <span class="pay_block"><select name="gateway" id="gateway"><?php echo ($config['paypal_status'] > 0 ? '<option value="paypal">Paypal</option>' : '').($config['bank_status'] > 0 ? '<option value="bank">'.$lang['b_159'].'</option>' : ''); ?></select> <input type="submit" name="submit" class="btn btn-success btn-sm" value="<?php echo $lang['b_158']; ?>" /></span><div style="clear:both"></div></div>');
								})
							}
						}
						$('#select-countries').on('change', function(e) {
							if ($(this).val() == '0') {
								$('#target-select').hide()
							} else {
								$('#target-select').show()
							}
						});
						$('#dailyLimitSelect').on('change', function(e) {
							if ($(this).val() == '0') {
								$("#daily_clicks").prop('disabled', true).val('')
							} else {
								$("#daily_clicks").prop('disabled', false).val('100')
							}
						});
					</script>
				<?php } ?>
				</div>
			</div>
		  </div>
		</div>
	  </div>
    </main>