<?php
	if(! defined('BASEPATH') ){ exit('Unable to view file.'); }
	
	$lottery = $db->QueryFetchArray("SELECT * FROM `lottery` WHERE `closed`='0' ORDER BY `id` DESC LIMIT 1");
	$now = new DateTime();
	$next_saturday = date("Y-m-d H:i:s", strtotime("next Sunday")-60);
	$future_date = new DateTime($next_saturday);
	$interval = $future_date->diff($now);
	$remainingTime = $interval->format("%D:%H:%I:%S");

	$msg = '';
	if (isset($_POST['buy_ticket'])) {
		if ($data['coins'] < $config['lottery_price']) {
			$msg = '<div class="alert alert-danger" role="alert">'.$lang['b_175'].'</div>';
		} else {
			$ticket_rand_1 = rand(10, 200);
			$ticket_rand_2 = rand(50, 250);
			$ticket_rand_3 = rand(5, 330);
			$ticket_rand_4 = rand(100, 400);
			$ticket_rand_5 = rand(1, 100);
			$lottery_numbers = $ticket_rand_1.'-'.$ticket_rand_2.'-'.$ticket_rand_3.'-'.$ticket_rand_4.'-'.$ticket_rand_5;
			$winPoints = ($config['lottery_price'] < $config['lottery_fee'] ? 1 : ($config['lottery_price']-$config['lottery_fee']));

			$db->Query("UPDATE `lottery` SET `coins`=`coins`+'".$winPoints."', `tickets_purchased`=`tickets_purchased`+'1' WHERE `id`='".$lottery['id']."'");
			$db->Query("UPDATE `users` SET `coins`=`coins`-'".$config['lottery_price']."' WHERE `id`='".$data['id']."'");
			$db->Query("INSERT INTO lottery_tickets (`lottery_id`,`user_id`,`date`,`lottery_numbers`) VALUES ('".$lottery['id']."', '".$data['id']."', '".time()."', '".$lottery_numbers."')");		

			$lottery = $db->QueryFetchArray("SELECT * FROM `lottery` WHERE `closed`='0' ORDER BY `id` DESC LIMIT 1");
			$msg = '<div class="alert alert-success" role="alert">'.$lang['b_224'].'</div>';
		}
	}
?>
<main role="main" class="container">
  <div class="row">
	<?php 
		require_once(BASE_PATH.'/template/'.$config['theme'].'/common/sidebar.php');
	?>
	<div class="col-md-9 col-sm-7 col-xs-7">
		<div class="my-3 ml-2 p-3 bg-white rounded box-shadow box-style">
		  <div id="grey-box">
			<div class="title">
				<?=$lang['b_203']?>
			</div>
			<div class="content">
				<?php echo $msg; ?>
				<div class="box">
					<div class="lotteryTitleBox">
						<span><?php echo $lang['b_225']; ?></span><br /><?php echo $lang['b_226']; ?>
					</div>
					<div class="lotteryCountdownBox" id="countdown"></div>

					<center>
						<div class="float-left">
							<div id="loterry_stats_header"><?php echo $lang['b_227']; ?></div>
							<div id="loterry_stats"><i class="fa fa-check-circle fa-fw"></i> <?php echo number_format($lottery['coins']).' '.$lang['b_13']; ?></div>
						</div>

						<div class="float-right">
							<div id="loterry_stats_header"><?php echo $lang['b_228']; ?></div>
							<div id="loterry_stats"><i class="fa fa-ticket fa-fw"></i> <?php echo number_format($lottery['tickets_purchased']).' '.$lang['b_229']; ?></div>
						</div>
					</center>

					<div style="clear:both;"></div>
					<form method="post" class="gen_but_yellow">
						<input type="submit" name="buy_ticket" value="<?php echo $lang['b_230']; ?> (<?php echo number_format($config['lottery_price'], 0); ?> <?php echo $lang['b_13']; ?>)">
					</form>

					<?php 
						$row_tickets = $db->QueryFetchArrayAll("SELECT * FROM `lottery_tickets` WHERE `user_id`='".$data['id']."'");
						if($row_tickets) {
					?>
						<div class="infobox">
							<center><div style="font-size:14px;margin-bottom:5px"><b><?php echo $lang['b_231']; ?> (<?php echo count($row_tickets); ?>)</b></div>
							<?php 
								foreach ($row_tickets as $row) {
									echo '<div class="ticket"><span class="circle"></span><a href="javascript:void(0)" title="'.date('d F Y - H:i:s', $row['date']).'">'.$row['lottery_numbers'].'</a></div> ';
								}
							?>
							</center>
						</div>
					<?php } ?>
				</div>
				<?php
					$winners = $db->QueryFetchArrayAll("SELECT a.id, a.coins, a.end_date, b.username FROM lottery a LEFT JOIN users b ON b.id = a.winner_id WHERE a.closed = '1' AND a.winner_id != '0' ORDER BY a.id DESC LIMIT 3");
					
					if($winners) {
						echo '<h1 class="text-warning">Last 3 Winners</h1>';

						foreach($winners as $winner) {
				?>
					<div class="winner_block">
						<div class="inside">
							<div class="ribbon-green"><i class="fa fa-gift fa-2x"></i></div>
							<p class="winner text-left"><?=$winner['username']?></p>
							<h2 class="text-center pt-3"><?php echo number_format($winner['coins']).' '.$lang['b_13']; ?></h2>
							<p class="text-center"><?=date('d M Y H:i', $winner['end_date'])?></p>
						</div>
					</div>
				<?php 
						}
					}
				?>
				<div class="clearfix"></div>
				<div class="box">
					<p><?php echo lang_rep($lang['b_232'], array('-PRICE-' => number_format($config['lottery_price'], 2))); ?></p>
				</div>
			<div class="clearfix"></div>
		  </div>
		</div>
	  </div>
	</div>
  </div>
</main>
<script type="text/javascript" src="static/js/jquery.countdown.js"></script>
<script type="text/javascript">
	  $(function(){
		$('#countdown').countdown({
		  image: 'static/img/digits.png',
		  startTime: '<?php echo $remainingTime; ?>'
		});
	  });
</script>