<?php
	if(! defined('BASEPATH') ){ exit('Unable to view file.'); }
?>
<main role="main" class="container">
  <div class="row">
	<?php 
		require_once(BASE_PATH.'/template/'.$config['theme'].'/common/sidebar.php');
	?>
	<div class="col-md-9 col-sm-7 col-xs-7">
		<div class="my-3 ml-2 p-3 bg-white rounded box-shadow box-style">
		  <div id="grey-box">
			<div class="title">
				<?=$lang['b_202']?>
			</div>
			<div class="content">
				<div class="spin_background mb-2">
					<?php
						if($data['last_spin'] > (time()-(3600*$config['wheel_waiting_time']))) {
							echo '<div class="alert alert-info" role="alert">'.lang_rep($lang['b_233'], array('-TIME-' => $config['wheel_waiting_time'], '-WAIT-' => r_time(($data['last_spin']+(3600*$config['wheel_waiting_time']))-time()))).'</div>';
						} else {
							$spin_price = ($data['membership'] > 0 ? $config['wheel_vip_price'] : $config['wheel_free_price']);
							
							if($spin_price > $data['coins']) {
								echo '<div class="alert alert-danger" role="alert">'.$lang['b_175'].'</div>';
							} else {
								echo '<div id="spin"><button id="spin_button" class="btn btn-lg btn-success px-5" onClick="startSpin();">Spin ('.$spin_price.' '.$lang['b_13'].')</button></div>';
							}
						}
					?>
					<div class="the_wheel" align="center" valign="center">
						<canvas class="the_canvas" id="wheel_of_luck" width="434" height="434">
							<p class="noCanvasMsg" align="center">Sorry, your browser doesn't support canvas.<br />Please try another browser.</p>
						</canvas>
					</div>
				</div>
				<?php
					$winners = $db->QueryFetchArrayAll("SELECT a.prize_type, a.prize_amount, a.time, b.username FROM wheel_winners a LEFT JOIN users b ON b.id = a.user_id ORDER BY a.time DESC LIMIT 3");
					
					if($winners) {
						echo '<h1 class="text-warning">'.$lang['b_234'].'</h1>';

						$prizes = array('coins', 'VIP Days');
						foreach($winners as $winner) {
				?>
					<div class="winner_block">
						<div class="inside">
							<div class="ribbon-green"><i class="fa fa-gift fa-2x"></i></div>
							<p class="winner text-left"><?=$winner['username']?></p>
							<h2 class="text-center pt-3"><?php echo ($winner['prize_amount'].' '.$prizes[$winner['prize_type']]); ?></h2>
							<p class="text-center"><?=date('d M Y H:i', $winner['time'])?></p>
						</div>
					</div>
				<?php 
						}
					}
				?>
				<div class="clearfix"></div>
				<div class="box">
					<?php
						$total_winnings = $db->QueryFetchArrayAll("SELECT prize_type, SUM(prize_amount) AS `total` FROM `wheel_winners` GROUP BY `prize_type`");
						
						if(!isset($total_winnings[0]['total'])) 
						{
							$total_winnings[0]['total'] = 0.00;
						}

						if(!isset($total_winnings[1]['total'])) 
						{
							$total_winnings[1]['total'] = 0;
						}
					?>
					<div class="infobox">
						<center><h1><?php echo $lang['b_235']; ?>:</h1><b><?php echo lang_rep($lang['b_236'], array('-COINS-' => number_format($total_winnings[0]['total']), '-VIP-' => number_format($total_winnings[1]['total']))); ?></b><br /><br /></center>
						<small><?php echo lang_rep($lang['b_237'], array('-COINS-' => ($data['membership'] > 0 ? $config['wheel_vip_price'] : $config['wheel_free_price']))); ?></small>
					</div>
				</div>
			<div class="clearfix"></div>
		  </div>
		</div>
	  </div>
	</div>
  </div>
</main>
<script>
	var prizes = new Array();
	prizes[0] = {"name" : "<?php echo lang_rep($lang['b_240'], array('-TIME-' => $config['wheel_waiting_time'])); ?>", "startAngle" : 135, "endAngle" : 179};
	prizes[1] = {"name" : "<?php echo lang_rep($lang['b_238'], array('-COINS-' => 30)); ?>", "startAngle" : 0,   "endAngle" : 44};
	prizes[2] = {"name" : "<?php echo lang_rep($lang['b_239'], array('-VIP-' => 2)); ?>", "startAngle" : 45,  "endAngle" : 89};
	prizes[3] = {"name" : "<?php echo lang_rep($lang['b_238'], array('-COINS-' => 100)); ?>", "startAngle" : 90,  "endAngle" : 134};
	prizes[4] = {"name" : "<?php echo lang_rep($lang['b_238'], array('-COINS-' => 60)); ?>", "startAngle" : 180, "endAngle" : 224};
	prizes[5] = {"name" : "<?php echo lang_rep($lang['b_239'], array('-VIP-' => 1)); ?>", "startAngle" : 225, "endAngle" : 269};
	prizes[6] = {"name" : "<?php echo lang_rep($lang['b_238'], array('-COINS-' => 75)); ?>", "startAngle" : 270, "endAngle" : 314};
	prizes[7] = {"name" : "<?php echo lang_rep($lang['b_240'], array('-TIME-' => $config['wheel_waiting_time'])); ?>", "startAngle" : 315, "endAngle" : 360};
</script>
<script type="text/javascript" src="static/js/spin/winwheel.js"></script>
<script type="text/javascript">
	begin();
</script>