<?php
	if(! defined('BASEPATH') ){ exit('Unable to view file.'); }

	$countries = $db->QueryFetchArrayAll("SELECT * FROM `list_countries` ORDER BY country");

	$errMessage = '';
	if(isset($_POST['submit'])){
		$url = $db->EscapeString($_POST['url']);
		$title = $db->EscapeString(truncate($_POST['title'], 120), 1);
		$ad_pack = $db->EscapeString(isset($_POST['ad_pack']) ? $_POST['ad_pack'] : 0);
		$ad_visits = $db->EscapeString(isset($_POST['ad_visits']) ? $_POST['ad_visits'] : 0);
		$gender = $db->EscapeString($_POST['gender'] > 2 ? 2 : ($_POST['gender'] < 0 ? 0 : $_POST['gender']));
		$gateway = $db->EscapeString($_POST['gateway']);

		$video_id = getYoutubeID($url);

		$pay_valid = false;
		if($gateway == 'paypal' && $config['paypal_status'] == 1){
			$pay_valid = true;
		}elseif($gateway == 'bank' && $config['bank_status'] == 1){
			$pay_valid = true;
		}

		$daily_clicks = 0;
		if($_POST['daily_clicks_switch'] == 1)
		{
			$daily_clicks = $db->EscapeString($_POST['daily_clicks']);
			$daily_clicks = (is_numeric($daily_clicks) && $daily_clicks > 0 ? number_format($daily_clicks) : 0);
		}

		$ctr = $db->EscapeString($_POST['country']);
		$sCountries = ($ctr == 0 ? 0 : $_POST['countries']);

		$ctrs = array();
		foreach($countries as $row) {
			$ctrs[] = $row['id'];
		}

		$country = '';
		if(!empty($sCountries)){
			foreach ($sCountries as $a=>$value) 
			{
				if(in_array($value, $ctrs)) {
					$country .= $value.',';
				}
			}
		}
		$country = (empty($country) ? 0 : $country);

		$ad_pack = $db->QueryFetchArray("SELECT * FROM `vad_packs` WHERE `id`='".$ad_pack."' LIMIT 1");
		$price = number_format($ad_visits * $ad_pack['price'], 2);

		if(empty($ad_pack['id']))
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_130'].'</div>';
		}
		elseif(!$pay_valid)
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_131'].'</div>';
		}
		elseif(empty($title) || empty($url))
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_132'].'</div>';
		}
		elseif(empty($video_id) || $video_id === false)
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_133'].'</div>';
		}
		elseif($price < $config['advertise_min'])
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.lang_rep($lang['b_134'], array('-MIN-' => get_currency_symbol($config['currency_code']).$config['advertise_min'])).'</div>';
		}
		elseif($gender < 0 || $gender > 2)
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_135'].'</div>';
		}
		elseif(empty($country) && $ctr != '0')
		{
			$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_136'].'</div>';
		}
		else
		{
			$reference_number = GenerateKey(12);
			$reference_number = strtoupper($reference_number);
			$db->Query("INSERT INTO `vad_temporary` (`user_id`,`video_id`,`title`,`daily_clicks`,`status`,`ad_pack`,`clicks`,`country`,`gender`,`reference_number`,`gateway`,`time`) VALUES('".$data['id']."', '".$video_id."', '".$title."', '".$daily_clicks."', '0', '".$ad_pack['id']."', '".$ad_visits."', '".$country."', '".$gender."', '".$reference_number."', '".$gateway."', '".time()."') ");
			$tid = $db->GetLastInsertId();

			$pay_url = '<meta http-equiv="refresh" content="2; URL='.$config['site_url'].'/system/payments/'.$gateway.'/go_'.$gateway.'.php?t=vad&vid='.$tid.'&ref_no='.$reference_number.'" />';
			$errMessage = '<div class="alert alert-success" role="alert">'.$lang['b_137'].'</div>'.$pay_url;
		}
	}
?>
	<main role="main" class="container">
      <div class="row">
		<?php 
			require_once(BASE_PATH.'/template/'.$config['theme'].'/common/sidebar.php');
		?>
		<div class="col-md-9 col-sm-7 col-xs-7">
			<div class="my-3 ml-2 p-3 bg-white rounded box-shadow box-style">
			  <div id="grey-box">
				<div class="title">
					<?=(isset($_GET['x']) && $_GET['x'] == 'myvids' ? $lang['b_140'] : $lang['b_139'])?>
				</div>
				<div class="content">
					<?php 
						echo $errMessage;

						if(isset($_GET['x']) && $_GET['x'] == 'myvids')
						{
					?>
					<table class="table table-striped table-sm table-responsive-sm">
						<thead class="thead-dark">
							<tr>
								<th class="text-center" colspan="5"><?php echo $lang['b_141']; ?></th>
							</tr>
						</thead>
						<thead class="thead-dark">
							<tr>
								<th><?php echo $lang['b_142']; ?></th>
								<th><?php echo $lang['b_143']; ?></th>
								<th><?php echo $lang['b_144']; ?></th>
								<th><?php echo $lang['b_145']; ?></th>
								<th><?php echo $lang['b_146']; ?></th>
							</tr>
						</thead>
						<tbody class="table-primary text-dark">
							<?php
								$videos = $db->QueryFetchArrayAll("SELECT a.*, b.name, b.time FROM vad_videos a LEFT JOIN vad_packs b ON b.id = a.ad_pack WHERE a.user_id = '".$data['id']."'");
								
								if(count($videos) == 0)
								{
									echo '<tr><td colspan="5"><center>'.$lang['b_147'].'</center></td></tr>';
								}
								else
								{
									foreach($videos as $video) 
									{
										echo '<tr><td><a href="https://www.youtube.com/watch?v='.$video['video_id'].'" target="_blank">'.$video['title'].'</a></td><td>'.number_format($video['clicks']).' x '.$video['time'].' sec</td><td>'.number_format($video['visits']).'</td><td>'.number_format($video['today_clicks']).' / '.($video['daily_clicks'] == 0 ? '&#8734;' : $video['daily_clicks']).'</td><td>'.($video['status'] == 0 ? '<font color="green">'.$lang['b_148'].'</font>' : ($video['status'] == 1 ? '<font color="green">'.$lang['b_149'].'</font>' : '<font color="red">'.$lang['b_150'].'</font>')).'</td></tr>';
									}
								}
							?>
						</tbody>
					</table>
					<table class="table table-striped table-sm table-responsive-sm mt-2">
						<thead class="thead-dark">
							<tr>
								<th class="text-center" colspan="4"><?php echo $lang['b_151']; ?></th>
							</tr>
						</thead>
						<thead class="thead-dark">
							<tr>
								<th><?php echo $lang['b_142']; ?></th>
								<th><?php echo $lang['b_152']; ?></th>
								<th><?php echo $lang['b_153']; ?></th>
								<th><?php echo $lang['b_154']; ?></th>
							</tr>
						</thead>
						<tbody class="table-primary text-dark">
							<?php
								$videos = $db->QueryFetchArrayAll("SELECT a.*, b.name, b.time, b.price FROM vad_temporary a LEFT JOIN vad_packs b ON b.id = a.ad_pack WHERE a.user_id = '".$data['id']."' AND a.status = '0'");
								
								if(count($videos) == 0)
								{
									echo '<tr><td colspan="4"><center>'.$lang['b_155'].'</center></td></tr>';
								}
								else
								{
									foreach($videos as $video) 
									{
										echo '<tr><td><a href="https://www.youtube.com/watch?v='.$video['video_id'].'" target="_blank">'.$video['title'].'</a></td><td>'.number_format($video['clicks']).' x '.$video['time'].' '.$lang['b_156'].'</td><td>'.($video['daily_clicks'] == 0 ? '&#8734;' : number_format($video['daily_clicks'])).'</td><td><span class="btn btn-success btn-sm" onclick="pay(\''.number_format($video['clicks'] * $video['price'], 2).'\', \''.$video['id'].'\')">'.$lang['b_157'].'</span></td></tr>';
									}
								}
							?>
						</tbody>
					</table>
					<div id="price_block"></div>
					<div class="alert alert-info" role="alert">If you already paid for your Website Ad, but is still pending after few minutes, please contact us!</div>
					<script type="text/javascript">
						function pay(price, id){
							if(price > 0 && id > 0){
								$('#price_block').html('<div class="price_block"><span class="text"><?php echo lang_rep($lang['b_219'], array('-SYMBOL-' => get_currency_symbol($config['currency_code']))); ?></span> <form class="pay_block" onsubmit="go_pay('+ id +'); return false"><select name="gateway" id="gateway"><?php echo ($config['paypal_status'] > 0 ? '<option value="paypal">Paypal</option>' : '').($config['bank_status'] > 0 ? '<option value="bank">'.$lang['b_159'].'</option>' : ''); ?></select> <input type="submit" name="submit" class="btn btn-success btn-sm" value="<?php echo $lang['b_158']; ?>" /></form><div style="clear:both"></div></div>');
							}
						}
						
						function go_pay(id) {
							var gateway = $('#gateway').val();
							location.href = '<?php echo $config['site_url']; ?>/system/payments/'+gateway+'/go_'+gateway+'.php?t=ads&tid='+id;
						}
					</script>
				<?php
					} else {
				?>
					<form method="post">
						<div class="form-row">
							<div class="form-group col-md-6">
							  <label for="url"><?=$lang['b_162']?></label>
							  <input type="text" class="form-control" name="url" id="url" value="<?php echo (isset($_POST['url']) ? $db->EscapeString($_POST['url']) : ''); ?>" placeholder="https://www.youtube.com/watch?v=VIDEO_ID" />
							</div>
							<div class="form-group col-md-6">
							  <label for="title"><?=$lang['b_163']?></label>
							  <input type="text" class="form-control" name="title" id="title" value="<?php echo (isset($_POST['title']) ? $db->EscapeString($_POST['title']) : ''); ?>" maxlength="50" placeholder="<?php echo $lang['b_163']; ?>" />
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
							  <label for="ad_pack"><?=$lang['b_164']?></label>
							  <select name="ad_pack" class="custom-select" id="ad_pack" onchange="get_price(this.value)">
									<?php
										$ad_packs = $db->QueryFetchArrayAll("SELECT * FROM `vad_packs` ORDER BY `price` ASC");
										
										foreach($ad_packs as $pack)
										{
											echo '<option value="'.$pack['id'].'">'.$pack['name'].' ('.$pack['time'].' '.$lang['b_156'].')</option>';
										}
									?>
								</select>
							</div>
							<div class="form-group col-md-6">
							  <label for="ad_visits"><?=$lang['b_152']?></label>
							  <input type="text" class="form-control" name="ad_visits" id="ad_visits" maxlength="30" placeholder="1000" onchange="get_price(this.value)" />
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-4">
							  <label for="daily_clicks"><?=$lang['b_223']?></label>
							  <input type="text" name="daily_clicks" id="daily_clicks" class="form-control" disabled />
							</div>
							<div class="form-group col-md-2">
							  <label for="daily_clicks_switch">&nbsp;</label>
							  <select name="daily_clicks_switch" id="dailyLimitSelect" class="custom-select">
								<option value="0"><?php echo $lang['b_150']; ?></option>
								<option value="1"><?php echo $lang['b_166']; ?></option>
							  </select>
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
							  <label for="gender"><?=$lang['b_167']?></label>
							  <select name="gender" class="form-control">
								<option value="0"><?=$lang['b_168']?></option>
								<option value="1"><?=$lang['b_169']?></option>
								<option value="2"><?=$lang['b_170']?></option>
							  </select>
								<?=$lang['b_171']?>
							  <select name="country" class="form-control" id="select-countries">
								<option value="0"><?=$lang['b_172']?></option>
								<option value="1"><?=$lang['b_173']?></option>
							  </select>
							   <div id="target-select" class="mt-2" style="display:none;">
								<select id="choseCountries" class="form-control" data-placeholder="<?php echo $lang['b_174']; ?>" name="countries[]" multiple>
									<?php
										$sc = array();
										if(isset($country) && $country != '0'){
											$sCountries = explode(',', $country);
											foreach($sCountries as $c){
												$sc[] = $c;
											}
										}
										
										foreach($countries as $country){
											echo '<option value="'.$country['id'].'"'.(in_array($country['id'],$sc) ? ' selected' : '').'>'.$country['country'].'</option>';
										}
									?>
								</select>
							 </div>
							</div>
						</div>
						<div id="price_block"></div>
					</form>
					<script type="text/javascript"> 
						function get_price(){
							var clicks = $('#ad_visits').val();
							var pack = $('#ad_pack').val();
							if(pack > 0 && clicks > 0){
								$.get("system/ajax.php?a=getVidPackPrice",{
									ad_pack:pack,
									visits:clicks
								},function(price){
									$('#price_block').html('<div class="price_block"><span class="text"><?php echo lang_rep($lang['b_161'], array('-SYMBOL-' => get_currency_symbol($config['currency_code']))); ?></span> <span class="pay_block"><select name="gateway" id="gateway"><?php echo ($config['paypal_status'] > 0 ? '<option value="paypal">Paypal</option>' : '').($config['bank_status'] > 0 ? '<option value="bank">'.$lang['b_159'].'</option>' : ''); ?></select> <input type="submit" name="submit" class="btn btn-success btn-sm" value="<?php echo $lang['b_158']; ?>" /></span><div style="clear:both"></div></div>');
								})
							}
						}
						$('#select-countries').on('change', function(e) {
							if ($(this).val() == '0') {
								$('#target-select').hide()
							} else {
								$('#target-select').show()
							}
						});
						$('#dailyLimitSelect').on('change', function(e) {
							if ($(this).val() == '0') {
								$("#daily_clicks").prop('disabled', true).val('')
							} else {
								$("#daily_clicks").prop('disabled', false).val('100')
							}
						});
					</script>
				<?php } ?>
				</div>
			</div>
		  </div>
		</div>
	  </div>
    </main>