<?php
	if(! defined('BASEPATH') ){ exit('Unable to view file.'); }
	
	$errMessage = '';
	if(isset($_POST['submit'])){
		$coins = $db->EscapeString($_POST['coins']);
		$email = $db->EscapeString($_POST['email']);
		$gateway = $db->EscapeString($_POST['gateway']);

		$valid = false;
		if($gateway == 'paypal' && $config['paypal_status'] == 1){
			$valid = true;
		}elseif($gateway == 'bank' && $config['bank_status'] == 1){
			$valid = true;
		}
		
		if($valid){
			if($coins > $data['coins'])
			{
				$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_175'].'</div>';
			}
			else
			{
				$cash = number_format(((1 / $config['convert_rate']) * $coins), 2);
				
				if(!is_numeric($cash) || $cash < $config['pay_min'])
				{
					$errMessage = '<div class="alert alert-danger" role="alert">'.lang_rep($lang['b_176'], array('-COINS-' => ($config['convert_rate']*$config['pay_min']), '-CASH-' => get_currency_symbol($config['currency_code']).$config['pay_min'])).'</div>';
				}
				elseif(strlen($email) < 20)
				{
					$errMessage = '<div class="alert alert-danger" role="alert">'.$lang['b_177'].'</div>';
				}
				else
				{
					$db->Query("INSERT INTO `withdrawals` (`user_id`,`coins`,`cash`,`method`,`payment_info`,`ip_address`,`timestamp`,`status`) VALUES('".$data['id']."','".$coins."','".$cash."','".$gateway."','".$email."', '".VisitorIP()."','".time()."','0')");
					$db->Query("UPDATE `users` SET `coins`=`coins`-'".$coins."' WHERE `id`='".$data['id']."'");			
					$errMessage = '<div class="alert alert-success" role="alert">'.$lang['b_178'].'</div>';
				}
			}
		}
	}
?>
	<main role="main" class="container">
      <div class="row">
		<?php 
			require_once(BASE_PATH.'/template/'.$config['theme'].'/common/sidebar.php');
		?>
		<div class="col-md-9 col-sm-7 col-xs-7">
			<div class="my-3 ml-2 p-3 bg-white rounded box-shadow box-style">
			  <div id="grey-box">
				<div class="title">
					<?=$lang['b_09']?>
				</div>
				<div class="content">
					<?=$errMessage?>
					<form method="post">
					  <div class="form-row">
						<div class="form-group col-md-6">
						  <label for="coins"><?php echo $lang['b_179']; ?></label></label>
						  <div class="input-group mb-2 mr-sm-2">
							<div class="input-group-prepend"><div class="input-group-text"><i class="fa fa-check-circle"></i></div></div>
							<input type="text" class="form-control" id="coins" name="coins" oninput="get_amount(this.value)" maxlength="6" placeholder="<?=$config['convert_rate']?>">
						  </div>
						  <small class="form-text text-white"><?=$lang['b_277']?> <b id="amount-final"><?=get_currency_symbol($config['currency_code'])?>1.00</b></small>
						</div>
						<div class="form-group col-md-6">
						  <label for="gateway"><?php echo $lang['b_180']; ?></label>
						  <select id="gateway" name="gateway" class="custom-select">
							<?=($config['paypal_status'] == 1 ? '<option value="paypal">PayPal</option>' : '')?>
							<?=($config['bank_status'] == 1 ? '<option value="bank">'.$lang['b_159'].'</option>' : '')?>							  
						  </select>
						</div>
					  </div>
					  <div class="form-row">
						<div class="form-group col-md-6">
						  <label for="email"><?php echo $lang['b_181']; ?></label>
						  <div class="input-group mb-2 mr-sm-2">
							<div class="input-group-prepend"><div class="input-group-text"><i class="fa fa-envelope"></i></div></div>
							<textarea class="form-control" id="email" name="email" placeholder="<?php echo $lang['b_182']; ?>"></textarea>
						  </div>
						</div>
					  </div>
					  <p><input type="submit" class="btn btn-primary d-inline" name="submit" value="<?php echo $lang['b_183']; ?>" /></p>
					</form>
				</div>
			</div>
			<div id="grey-box" class="mt-2">
				<div class="content">
					<table class="table table-striped table-sm table-responsive-sm">
						<thead class="thead-dark">
							<tr>
								<th>#</th>
								<th><?php echo $lang['b_184']; ?></th>
								<th><?php echo $lang['b_185']; ?></th>
								<th><?php echo $lang['b_180']; ?></th>
								<th><?php echo $lang['b_181']; ?></th>
								<th><?php echo $lang['b_146']; ?></th>
							</tr>
						</thead>
						<tbody class="table-primary text-dark">
							<?php
								$requests = $db->QueryFetchArrayAll("SELECT * FROM `withdrawals` WHERE `user_id`='".$data['id']."'");
								
								if(count($requests) == 0)
								{
									echo '<td colspan="7"><center>'.$lang['b_186'].'</center></td>';
								}
								else
								{
									foreach($requests as $request) 
									{
										echo '<tr><td>'.$request['id'].'</td><td>'.$request['coins'].'</td><td>'.get_currency_symbol($config['currency_code']).$request['cash'].'</td><td>'.ucfirst($request['method']).'</td><td>'.$request['payment_info'].'</td><td>'.($request['status'] == 0 ? '<font color="blue">'.$lang['b_187'].'</font>' : ($request['status'] == 1 ? '<font color="green">'.$lang['b_188'].'</font>' : '<font color="red">'.$lang['b_189'].'</font>')).'</td></tr>';
									}
								}
							?>
						</tbody>
					</table>
				</div>
			</div>
		  </div>
		</div>
	  </div>
    </main>
	<script type="text/javascript">
			function get_amount(value){
				if(value > 0) {
					var amount = (Math.floor((<?=(1/$config['convert_rate'])?>*value)*100)/100).toFixed(2);
					$('#amount-final').html('<?=get_currency_symbol($config['currency_code'])?>'+amount);
				}
			}
	</script>